package net.northking.cctp.common.db;

import java.util.List;

/**
 * @Title:
 * @Description:
 * @Company: 京北方信息技术股份有限公司
 * @Author: 谢秀松
 * @CreateDate: 2018/3/17
 * @UpdateUser:
 * @Version: 1.0
 */
public interface BasicDao<T> extends PagingQueryDao
{

  T findByPrimaryKey(Object id);

  List<T> findByPrimaryKeys(List<Object> ids);

  int deleteByPrimaryKey(Object id);

  int deleteByPrimaryKeys(List<Object> ids);

  int deleteByExample(T record);

  int insert(T record);

  int insertByBatch(List<T> list);

  int updateByPrimaryKey(T record);

  long queryCount(T record);

  <E> List<E> query(T record);

}
